/* out_ofm.h: Outputting to an OFM file.

This file is part of the Omega project, which
is based on the web2c distribution of TeX.

Copyright (C) 2000 John Plaice and Yannis Haralambous

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Library General Public
License as published by the Free Software Foundation; either
version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Library General Public License for more details.

You should have received a copy of the GNU Library General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  */

extern void output_ofm_file(void);
extern void out_ofm_4(unsigned);
extern void out_ofm_2(unsigned);
extern void out_ofm_char(unsigned);
extern void output_ofm_scaled(fix);
extern void out_ofm(unsigned);

extern void compute_ofm_subsizes(void);
extern void output_ofm_subsizes(void);
extern void output_ofm_header(void);
extern void output_ofm_extra_stuff(void);
extern void compute_ofm_character_info(void);
extern void output_ofm_character_info(void);
